Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Class NatCubicClosedSpline

    java.lang.Object
      com.bbn.openmap.omGraphics.NatCubicSpline
          com.bbn.openmap.omGraphics.NatCubicClosedSpline

public class NatCubicClosedSpline
extends NatCubicSpline

A natural cubic closed spline calculation.

Version:
  21 juil. 2002
Author:
  Eric LEPICIER
See Also:
  Splines

Constructor Summary
`NatCubicClosedSpline()`

Method Summary
`float[]` | `calc(float[] llpoints, float precision)` Calculates a float lat/lon cubic spline
`int[][]` | `calc(int[] xpoints, int[] ypoints)` Calculates a cubic spline polyline

Methods inherited from class com.bbn.openmap.omGraphics.NatCubicSpline
`getSteps, setSteps`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NatCubicClosedSpline

    public NatCubicClosedSpline()

Method Detail

### calc

    public int[][] calc(int[] xpoints,
                        int[] ypoints)

  Description copied from class: `NatCubicSpline`
  Calculates a cubic spline polyline

  Overrides:
    `calc` in class `NatCubicSpline`
  Parameters:
    `xpoints` -
    `ypoints` -
  Returns:
    int[][]
  See Also:
    `NatCubicSpline.calc(int[], int[])`

### calc

    public float[] calc(float[] llpoints,
                        float precision)

  Description copied from class: `NatCubicSpline`
  Calculates a float lat/lon cubic spline

  Overrides:
    `calc` in class `NatCubicSpline`
  Parameters:
    `llpoints` -
    `precision` - for dividing floating coordinates to become int, e.g 0.01 means spline to be calculated with coordinates * 100
  Returns:
    float[]
  See Also:
    `NatCubicSpline.calc(float[], float)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details